package ink.wgink.register.base.service.impl;

import ink.wgink.common.base.DefaultBaseService;
import ink.wgink.register.base.pojo.vos.RegisterDefaultVO;
import ink.wgink.register.base.service.IRegisterService;
import ink.wgink.service.user.enums.UserStateEnum;
import ink.wgink.service.user.enums.UserTypeEnum;
import ink.wgink.service.user.pojo.vos.UserVO;
import ink.wgink.service.user.service.IUserService;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: RegisterServiceImpl
 * @Description: 注册
 * @Author: wanggeng
 * @Date: 2021/5/1 10:33 上午
 * @Version: 1.0
 */
public class RegisterServiceImpl extends DefaultBaseService implements IRegisterService {

    @Autowired
    private IUserService userService;

    @Override
    public void defaultRegister(RegisterDefaultVO registerDefaultVO) {
        register(registerDefaultVO.getUsername(), registerDefaultVO.getPassword());
    }

    private void register(String username, String password) {
        UserVO userVO = new UserVO();
        userVO.setUserUsername(username);
        userVO.setUserPassword(password);
        userVO.setUserName(username);
        userVO.setUserState(UserStateEnum.NORMAL.getValue());
        userVO.setUserType(UserTypeEnum.NORMAL.getValue());
        userService.register(userVO);
    }


}
